Subject: Re: [Lsf] [LSF/MM TOPIC] Generic page-pool recycle facility?

From: "Waskiewicz, PJ" <[email-masked]>
Date: Thu, 7 Apr 2016 19:48:50 +0000

On Thu, 2016-04-07 at 16:17 +0200, Jesper Dangaard Brouer wrote:
> (Topic proposal for MM-summit)
> 
> Network Interface Cards (NIC) drivers, and increasing speeds stress
> the page-allocator (and DMA APIs).  A number of driver specific
> open-coded approaches exists that work-around these bottlenecks in
> the
> page allocator and DMA APIs. E.g. open-coded recycle mechanisms, and
> allocating larger pages and handing-out page "fragments".
> 
> I'm proposing a generic page-pool recycle facility, that can cover
> the
> driver use-cases, increase performance and open up for zero-copy RX.

Is this based on the page recycle stuff from ixgbe that used to be in
the driver?  If so I'd really like to be part of the discussion.

-PJ

-- 
PJ Waskiewicz
Principal Engineer, NetApp
e: [email-masked]
d: 503.961.3705